Subject: [Ltru] Re: Review of 4646bis-10, macrolanguages in section 4.1

From: "Doug Ewell" <[email-masked]>
Date: Fri, 21 Dec 2007 15:52:13 -0800

John Cowan <cowan at ccil dot org> wrote:

> Add:
>
>         Macrolanguages and encompassed languages affected by this 
> issue
>         include:
>
>         Arabic 'ar'                     Standard Arabic 'arb'
>         Konkani (macrolanguage) 'kok'   Konkani (individual language) 
> 'knn'
>         Malay (macrolanguage) 'ms'      Malay (individual language) 
> 'mly'
>         Swahili (macrolanguage) 'sw'    Swahili (individual language) 
> 'swh'
>         Uzbek 'uz'                      Northern Uzbek 'uzn'
>         Chinese 'zh'                    Mandarin Chinese 'cmn'

I'm OK with adding this as long as it does not present the impression 
that we are trying to second-guess, amend, or supersede anything about 
the macrolanguage assignments in ISO 639-3.

--
Doug Ewell  *  Fullerton, California, USA  *  RFC 4645  *  UTN #14
http://home.roadrunner.com/~dewell
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Frank Ellermann" <[email-masked]>
Date: Sat, 22 Dec 2007 17:25:58 +0100

> the macrolanguage assignments in ISO 639-3.

+1  

BTW, if that part (what John wrote) is all 4646bis will say about
Macrolanguages and matching my proposal to add "updates 4647" was
overzealous, a new "MAY" isn't an "update".

 Frank

---

From: Peter Constable <[email-masked]>
Date: Sun, 23 Dec 2007 15:24:40 -0800

> From: Doug Ewell [mailto:[email-masked]]

> the macrolanguage assignments in ISO 639-3.

It doesn't amend; since it doesn't change what 639-3 says, it doesn't supersede. I'm not sure what would constitute second-guessing other than imposing an interpretation beyond what 639-3 provides, and I don't think it does that. It's simply a commentary on those particular languages and, in particular, on the usage of the corresponding tag, namely,

>         the
>         macrolanguage tag has been historically used to denote a dominant
>         encompassed language,

In other words, because (e.g.) zh has historically been used (predominantly) to denote the dominant encompassed language, Mandarin, the more-specific subtag cmn shouldn't be used in general (but can be if there's particular need to differentiate from yue, etc.).

There's one other class of macrolanguages -- this with a single member -- that I think needs some attention:

4. Macrolanguage ID used in ICT, >1 dominant variety
fas     (E14: unclear) = fa
        pes = Persian (CLDR and Windows use fa_IR)
        prs = Dari (CLDR uses fa_AF, Windows uses prs_AF)

This is one more case in which a macrolanguage ID has been used with one encompassed, developed language, Persian; but more recently it has come to be used _in some implementations_ for another encompassed, developed (though less so) language. I'm not necessarily suggesting it needs to be mentioned in the text of the RFC. I do question whether using fa for Dari is the best choice. But if it's recommended that fa be used for Persian while prs be used used for Dari, then it just might be appropriate to add this case in the list in the RFC.

Peter